Grants, vesting & distributions
Check Grant Deletion Eligibility
Splits requested non-SCP grants into eligible (all vestings/lockups PENDING) and ineligible for deletion.
POSThttps://api.toku.com/tga/check-grant-deletion-eligibility
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/check-grant-deletion-eligibility' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"grantIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"eligibleGrants": [],
"ineligibleGrants": []
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>grantIDsstring<uuid>[]requiredAllowed: 1 to 500 items
Response
200Successful response
eligibleGrantsany[]ineligibleGrantsany[]400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits